InvalidDriveInMMPPathException (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.InvalidDriveInMMPPathException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class InvalidDriveInMMPPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.nokia.carbide.cdt.builder.InvalidDriveInMMPPathException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDriveInMMPPathException

extends java.lang.Exception

This exception is thrown from MMPViewPathHelper when an attempt is made to convert a full path into an MMP path and the path's drive differs from that of the current SDK. This may either be intentional or an error. Clients should decide.

See Also:
  Serialized Form

Method Summary
`IPath` | `getPath()` Get the converted full path with the device/drive in place.
`IPath` | `getPathNoDevice()` Get the converted full path without a device/drive, as it should appear in MMP.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPath

    public IPath getPath()

  Get the converted full path with the device/drive in place.

  Returns:
    path, never null

### getPathNoDevice

    public IPath getPathNoDevice()

  Get the converted full path without a device/drive, as it should appear in MMP.

  Returns:
    path, never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD